> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start prediction execution



## OpenAPI

````yaml post /api/predictionexecution/v1.0/customer/{customerId}/predictionV21execution
openapi: 3.0.1
info:
  title: Prediction Execution Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/predictionexecution/v1.0/customer/{customerId}/predictionV21execution:
    post:
      tags:
        - PredictionV21Execution
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: version
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewPredictionV21ExecutionModelRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/NewPredictionV21ExecutionModelRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/NewPredictionV21ExecutionModelRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PredictionV21ExecutionJobResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PredictionV21ExecutionJobResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PredictionV21ExecutionJobResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    NewPredictionV21ExecutionModelRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/NewPredictionV21ExecutionModel'
      additionalProperties: false
    PredictionV21ExecutionJobResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/PredictionV21ExecutionJob'
      additionalProperties: false
    NewPredictionV21ExecutionModel:
      type: object
      properties:
        predictionConfigurationId:
          type: string
          format: uuid
        take:
          type: integer
          format: int32
          nullable: true
        isDelta:
          type: boolean
          nullable: true
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    PredictionV21ExecutionJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
        predictionConfigurationId:
          type: string
          format: uuid
        take:
          type: integer
          format: int32
          nullable: true
        isDelta:
          type: boolean
          nullable: true
        status:
          $ref: '#/components/schemas/PredictionExecutionStatus'
        created:
          type: string
          format: date-time
        finished:
          type: string
          format: date-time
          nullable: true
        exportedFiles:
          type: array
          items:
            type: string
          nullable: true
        errorCode:
          type: integer
          format: int32
          nullable: true
        totalRows:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    PredictionExecutionStatus:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 20
        - 100
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````